<?php
$waves_page_builder = __( 'Page Builder', 'waves' );
$waves_page_builder_details = __( 'waves Pro supports Page Builder. All our shortcodes can be used as widgets too. You can drag and drop our widgets with page builder visual editor.', 'waves' );
$waves_page_layout = __( 'Page Layout', 'waves' );
$waves_page_layout_details = __( 'waves Pro offers many different page layouts so you can quickly and easily create your pages with various layout without any hassle!', 'waves' );
$waves_unlimited_sidebar = __( 'Unlimited Sidebar', 'waves' );
$waves_unlimited_sidebar_details = __( 'Unlimited sidebars allows you to create multiple sidebars. Check out our demo site to see how different pages displays different sidebars!', 'waves' );
$waves_shortcode_builder = __( 'Shortcode Builder', 'waves' );
$waves_shortcode_builder_details = __( 'With our shortcode builder and lots of shortcodes, you can easily create nested shortcodes and build custom pages!', 'waves' );
$waves_portfolio = __( 'Multi Portfolio', 'waves' );
$waves_portfolio_details = __( '7 portfolio layouts with Isotope filtering, 3 blog layouts and multiple other alternate layouts for interior pages!', 'waves' );
$waves_typography = __( 'Typography', 'waves' );
$waves_typography_details = __( 'waves Pro loves typography, you can choose from over 500+ Google Fonts and Standard Fonts to customize your site!', 'waves' );
$waves_slider = __( 'Awesome Sliders', 'waves' );
$waves_slider_details = __( 'waves Pro includes two types of slider. You can use both Flex and Elastic sliders anywhere in your site.', 'waves' );
$waves_woocommerce = __( 'Woo Commerce', 'waves' );
$waves_woocommerce_details = __( 'waves Pro has full design/code integration for WooCommerce, your shop will look as good as the rest of your site!', 'waves' );
$waves_custom_widget = __( 'Custom Widget', 'waves' );
$waves_custom_widget_details = __( 'We offer many custom widgets that are stylized and ready for use. Simply drag &amp; drop into place to activate!', 'waves' );
$waves_advanced_admin = __( 'Advanced Admin', 'waves' );
$waves_advanced_admin_details = __( ' you can customize any part of your site quickly and easily! using Customizer options.', 'waves' );
$waves_font_awesome = __( 'Font Awesome', 'waves' );
$waves_font_awesome_details = __( 'Font Awesome icons are fully integrated into the theme. Use them anywhere in your site in 6 different sizes!', 'waves' );
$waves_responsive_layout = __( 'Responsive Layout', 'waves' );
$waves_responsive_layout_details = __( 'waves Pro is fully responsive and can adapt to any screen size. Resize your browser window to view it!', 'waves' );
$waves_testimonials = __( 'Testimonials', 'waves' );
$waves_testimonials_details = __( 'With our testimonial post type, shortcode and widget, Displaying testimonials is a breeze.', 'waves' );
$waves_social_media = __( 'Social Media', 'waves' );
$waves_social_media_details = __( 'Want your users to stay in touch? No problem, waves Pro has Social Media icons all throughout the theme!', 'waves' );
$waves_google_map = __( 'Google Map', 'waves' );
$waves_google_map_details = __( 'waves Pro includes Goole Map as shortcode and widget. So, you can use it anywhere in your site!', 'waves' );
$waves_view_demo = __( 'View Demo', 'waves');
$waves_upgrade_to_pro = __( 'Upgrade To Pro', 'waves' );
$waves_ask_question = __( 'Ask a Question', 'waves' );
$waves_documentation = __( 'Documentation', 'waves' );

$waves_why_upgrade = <<< FEATURES
<p class="wrap-header">   
   <a class="ask-question" href="http://www.webulousthemes.com/free-support-request/" target="_blank">
       <i class="fa fa-question-circle"></i> $waves_ask_question</a>
    <a class="view-doc" href="http://www.webulousthemes.com/waves-free/" target="_blank">
        <i class="fa fa-server"></i>$waves_documentation</a>
    <a class="upgrade" href="http://www.webulousthemes.com/theme/waves-pro" target="_blank">
        <i class="fa fa-upload"></i> $waves_upgrade_to_pro</a>
    <a class="view-demo" href="http://waves.webulous.in/" target="_blank">
        <i class="fa fa-eye"></i> $waves_view_demo</a> 

</p>
<div class="one-third column clear">
	<div class="icon-wrap"><i class="fa  fa-5x fa-cog"></i></div>
	<h3>$waves_page_builder</h3>
	<p>$waves_page_builder_details</p>
</div>
<div class="one-third column">
	<div class="icon-wrap"><i class="fa  fa-5x fa-th-large"></i></div>
	<h3>$waves_page_layout</h3>
	<p>$waves_page_layout_details</p>
</div>
<div class="one-third column">
	<div class="icon-wrap"><i class="fa  fa-5x fa-th"></i></div>
	<h3>$waves_unlimited_sidebar</h3>
	<p>$waves_unlimited_sidebar_details</p>
</div>
<div class="one-third column clear">
	<div class="icon-wrap"><i class="fa  fa-5x fa-code-fork"></i></div>
	<h3>$waves_shortcode_builder</h3>
	<p>$waves_shortcode_builder_details</p>
</div>
<div class="one-third column">
	<div class="icon-wrap"><i class="fa  fa-5x fa-camera"></i></div>
	<h3>$waves_portfolio</h3>
	<p>$waves_portfolio_details</p>
</div>
<div class="one-third column">
	<div class="icon-wrap"><i class="fa  fa-5x fa-font"></i></div>
	<h3>$waves_typography</h3>
	<p>$waves_typography_details</p>
</div>
<div class="one-third column clear">
	<div class="icon-wrap"><i class="fa  fa-5x fa-slideshare"></i></div>
	<h3>$waves_slider</h3>
	<p>$waves_slider_details</p>
</div>
<div class="one-third column">
	<div class="icon-wrap"><i class="fa  fa-5x fa-leaf"></i></div>
	<h3>$waves_woocommerce</h3>
	<p>$waves_woocommerce_details</p>
</div>
<div class="one-third column">
	<div class="icon-wrap"><i class="fa  fa-5x fa-tasks"></i></div>
	<h3>$waves_custom_widget</h3>
	<p>$waves_custom_widget_details</p>
</div>
<div class="one-third column clear">
	<div class="icon-wrap"><i class="fa  fa-5x fa-dashboard"></i></div>
	<h3>$waves_advanced_admin</h3>
	<p>$waves_advanced_admin_details</p>
</div>
<div class="one-third column">
	<div class="icon-wrap"><i class="fa  fa-5x fa-magic"></i></div>
	<h3>$waves_font_awesome</h3>
	<p>$waves_font_awesome_details</p>
</div>
<div class="one-third column">
	<div class="icon-wrap"><i class="fa  fa-5x fa-arrows"></i></div>
	<h3>$waves_responsive_layout</h3>
	<p>$waves_responsive_layout_details</p>
</div>
<div class="one-third column clear">
	<div class="icon-wrap"><i class="fa  fa-5x fa-magic"></i></div>
	<h3>$waves_testimonials</h3>
	<p>$waves_testimonials_details</p>
</div>
<div class="one-third column">
	<div class="icon-wrap"><i class="fa  fa-5x fa-twitter"></i></div>
	<h3>$waves_social_media</h3>
	<p>$waves_social_media_details</p>
</div>
<div class="one-third column">
	<div class="icon-wrap"><i class="fa  fa-5x fa-map-marker"></i></div>
	<h3>$waves_google_map</h3>
	<p>$waves_google_map_details</p>
</div>
FEATURES;

function waves_theme_page() {
	add_theme_page( 
		__( 'Upgrade To waves Pro', 'waves' ),
		__( 'Theme Upgrade', 'waves' ),
		'edit_theme_options',
		'waves_upgrade',
		'waves_display_upgrade'
	);
}

add_action('admin_menu','waves_theme_page');

function waves_display_upgrade() {
	global $waves_why_upgrade;
	echo '<div class="wrap">';
	echo $waves_why_upgrade;
	echo '</div>';
}